! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
module testtable_mod

use dal

public testtable

contains

subroutine testtable
    type(tableT) :: tableh
    type(dataSetT) :: dataseth
    type(columnt) :: columnh
    real(single), pointer :: data(:)
    integer :: n

    dataseth = dataset("test.fits", create)

    tableH = addtable(dataseth, "SRCLIST", 10)

    n = numberOfRows( tableH )

!    columnh = addcolumn(tableh, real32, "RA", "", "")
    
    data => real32data(columnh)
    




    call release(datasetH)
    



end subroutine testtable

end module testtable_mod
